Subject: Re: [PATCH 07/10] git-fmt-merge-msg: make it useable from other builtins

From: Andreas Ericsson <[email-masked]>
Date: Mon, 09 Jun 2008 10:58:28 +0200

Miklos Vajna wrote:
> Move all functionality (except config and option parsing) from
> cmd_fmt_merge_msg() to fmt_merge_msg(), so that other builtins can use
> it without a child process.
> 
> All functions have been changed to use strbufs, and now only
> cmd_fmt_merge_msg() reads directly from a file / writes anything to
> stdout.
> 

I have a very nearly identical patch in an ancient offshoot branch
since my attempt to make git-pull a builtin (which was stupid as
it doesn't do anything CPU-intensive apart from merging).

I likes it. For bonus points you could replace some strbuf_addf()
calls with strbuf_addstr() ones, but I don't think anyone really
cares.

So, fwiw,
Liked-by: Andreas Ericsson <[email-masked]>

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231